org.springframework.context.event

## Class ApplicationContextEvent

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.context.event.ApplicationContextEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ContextClosedEvent, ContextRefreshedEvent, ContextStartedEvent, ContextStoppedEvent

    public abstract class ApplicationContextEvent
    extends ApplicationEvent

Base class for events raised for an `ApplicationContext`.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ApplicationContextEvent(ApplicationContext source)` Create a new ContextStartedEvent.

### Method Summary

Methods
`ApplicationContext` `getApplicationContext()` Get the `ApplicationContext` that the event was raised for.

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApplicationContextEvent

    public ApplicationContextEvent(ApplicationContext source)

Create a new ContextStartedEvent.

Parameters:
  `source` - the `ApplicationContext` that the event is raised for (must not be `null`)

### Method Detail

#### getApplicationContext

    public final ApplicationContext getApplicationContext()

Get the `ApplicationContext` that the event was raised for.